Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am having a problem enabling the gmusic plugin on Rythmbox 3.00 in ubuntu 13.10, it worked in Rythmbox 2.9 but now it stopped working, tryed with PPA and PIP installations and both fail.

I installed the plugin through the apt procedure:

598  sudo add-apt-repository ppa:nvbn-rm/ppa
599  sudo apt-get update
600  sudo apt-get install rhythmbox-gmusic

Then tried the PIP procedure:

621  sudo apt-get install python-pip git-core
622  sudo pip install gmusicapi
623  sudo pip install git+https://github.com/nvbn/rhythmbox-gmusic.git#egg=rhythmbox-gmusic

At last, I used the --upgrade PIP option:

639  sudo pip install gmusicapi --upgrade
642  sudo pip install git+https://github.com/nvbn/rhythmbox-gmusic.git#egg=rhythmbox-gmusic --upgrade

I am getting the following error, I think that it is related to the python version:

(rhythmbox:30192): libpeas-WARNING **: Could not find loader 'python' for plugin 'rhythmboxgmusic'

This error is related to Can't enable Rhythmbox's Google Music Plugin but the workaround is not working on Rhythmbox 3.0

* Update: coverart is also affected, tryed to edit the plugin under /usr/lib/rhythmbox/plugins in order to specify the python version (tried python, python2, python2.7, python3 and python3.3) without sucess.

(rhythmbox:5435): libpeas-WARNING **: Could not find loader 'python' for plugin 'coverart_search_providers'

* Update: I changed the plugin in order to specify python 3 I get a different log:

Unable to open ~/.mtpz-data for reading, MTPZ disabled.ImportError: No module named 'rhythmboxgmusic'

(rhythmbox:5798): libpeas-WARNING **: Error loading plugin 'rhythmboxgmusic'

* Update: the content of the /usr/lib/rhythmbox/plugin/rhythmbox-gmusic folder is the following (here is where I changed the python command):

SivArt@ThinkPad-T410i:/usr/lib/rhythmbox/plugins/googleplaymusic$ ls -lash
total 12K
4.0K drwxr-xr-x  2 root root 4.0K Dec  8 02:25 .
4.0K drwxr-xr-x 33 root root 4.0K Dec  8 02:43 ..
4.0K -rw-r--r--  1 root root  264 Dec  8 03:08 googleplaymusic.plugin

The googleplaymusic.plugin file:

[Plugin]
Loader=python 
Module=rhythmboxgmusic
Depends=rb
IAge=2
Name=Google Play Music Plugin
Description=Listen to music form Goolge Play
Authors=Vladimir Iakovlev <[email protected]>
Copyright=Copyright © 2012
Website=https://github.com/nvbn/rhythmbox-gmusic/

* Update: Just changed it as suggested:

[Plugin]
Loader=python3
Module=rhythmboxgmusic.plugin
Depends=rb
IAge=2
Name=Google Play Music Plugin
Description=Listen to music form Goolge Play
Authors=Vladimir Iakovlev <[email protected]>
Copyright=Copyright © 2012
Website=https://github.com/nvbn/rhythmbox-gmusic/

But now the error is different:

SivArt@ThinkPad-T410i:~$ rhythmbox

(rhythmbox:1590): Gtk-CRITICAL **: gtk_css_provider_load_from_path: assertion 'path != NULL' failed

(rhythmbox:1590): GLib-GObject-CRITICAL **: Custom constructor for class SoupServer returned NULL (which is invalid).  Unable to remove object from construction_objects list, so memory was probably just leaked.  Please use GInitable instead.
Rhythmbox: could not connect to socket
Rhythmbox: No such file or directory

(rhythmbox:1590): Grilo-WARNING **: [registry] grl-registry.c:440: Could not open plugins' info directory '/usr/lib/x86_64-linux-gnu/grilo-0.2': Error opening directory '/usr/lib/x86_64-linux-gnu/grilo-0.2': No such file or directory

(rhythmbox:1590): Rhythmbox-WARNING **: Failed to load Grilo plugins: All configured plugin paths are invalid

(rhythmbox:1590): Rhythmbox-WARNING **: Could not open device /dev/radio0
Unable to open ~/.mtpz-data for reading, MTPZ disabled.ImportError: No module named 'rhythmboxgmusic'

(rhythmbox:1590): libpeas-WARNING **: Error loading plugin 'rhythmboxgmusic.plugin'

Thanks! SivArt

share|improve this question
    
this is very strange - the module it is looking for is "rhythmboxgmusic.py" but in your listing I dont see this - doesnt look from the info given that it is installed correctly. At the very minimum if you are using python3 the "Loader" should state "Loader=python3" and I would have expected the plugin file to be the same name as the module i.e. change googlemusic.plugin to "rhythmboxgmusic.plugin" –  fossfreedom Dec 9 '13 at 10:34

1 Answer 1

Even if you change the loader as you did and get it to load the plugin, it will not work. Rhythmbox 3.x is using Python 3.4, and most plugins written for Rhythmbox 2.99 or earlier are written in python2.

At least in the case of the Google Play music plugin here, it relies on Simon Weber's Unofficial Google Music API. gmusicapi relies on at least one library (mutagen, namely, there may be more) that is written for python2 only without any "official" python3 version, so for the time being, gmusicapi, and in turn this plugin, will run under python2 only without hacking the modules yourself.

I opened an issue on Simon's repo on Github asking about this; waiting on a response.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.